//
//  StreamMonitorDataView.h
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.22.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWormPckt.h>


@interface StreamMonitorDataView : NSView
{
	NSScrollView * mScrollView;
	
	uint32_t base;
	uint32_t count;
	uint32_t bcount;
	uint32_t frameh;
	uint32_t scrollh;
	
	NSString * mName;
}

- (void)clear;
- (void)addText;
- (void)addText:(NSData *)data;
- (void)addPckt:(GlowWormPckt *)aPckt;

- (void)setScrollView:(NSScrollView *)aScrollView;
- (void)setName:(NSString *)aName;
- (NSString *)name;
- (uint32_t)xfer;

@end
