//
//  StreamMonitorPluginLoader.m
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.21.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import "StreamMonitorPluginLoader.h"
#import <Common.h>
#import <Logger.h>
#import <GlowWorm.h>


@implementation StreamMonitorPluginLoader





///////////////////////////////////////////////////////////////////////////////

#pragma mark -
#pragma mark initializer functions





- (id)init
{
	self = [super init];
	
	if (self) {
		
	}
	
	return self;
}

- (void)dealloc
{
	
	[super dealloc];
}





///////////////////////////////////////////////////////////////////////////////

#pragma mark -
#pragma mark plugin protocol functions





- (NSString *)name
{
	return @"Stream Monitor";
}

- (NSString *)version
{
	return @"1.0.0";
}

- (BOOL)loadPlugin
{
	GWLog(@"%s", __PRETTY_FUNCTION__);
	
	if (FALSE == [NSBundle loadNibNamed:@"StreamMonitorPlugin" owner:self]) {
		GWLog(@"%s.. failed to load StreamMonitor.nib", __PRETTY_FUNCTION__);
		return FALSE;
	}
	else {
		GWLog(@"%s.. successfully loaded StreamMonitor.nib", __PRETTY_FUNCTION__);
		return TRUE;
	}
}

- (BOOL)unloadPlugin
{
	return FALSE;
}

@end
