//
//  StreamMonitorPluginController.h
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.21.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "StreamMonitorController.h"


@interface StreamMonitorPluginController : NSObject
{
	/* shell sub-menu stuff */
	IBOutlet NSMenu									* mMenuMainMenu;			//
	IBOutlet NSMenuItem							* mMenuMainItem;			// 
	IBOutlet NSMenuItem							* mMenuPrefsItem;			// show preferences window
	IBOutlet NSMenuItem							* mMenuSetupItem;			// show setup window
	IBOutlet NSMenuItem							* mMenuAboutItem;			// show about window
	
	IBOutlet NSWindow								* mPrefsWin;					// preferences window
	
	NSMutableDictionary							* mMonitorDict;				// monitors keyed on ruleid
	
	BOOL				mPrefShowHostNames;
	BOOL				mPrefShowServiceNames;
	NSNumber	* mPrefSocketBufferSize;
}

- (void)startup;
- (void)startupLoadRules;

@end
